@media only screen and (min-width: 1180px) and (max-width: 1380px) {
	h1, .entry-content :where(h1) {
		font-size: 62px;
		line-height: 1;
	}
	h2, .entry-content :where(h2) {
		font-size: 50px;
	}
	body {
		font-size: 16px;
	}
	.ast-single-post .entry-content .wp-block-button .wp-block-button__link, .lmb-page-banner-btn {
		height: 50px;
		line-height: 50px;
	}
	.ast-primary-header-bar .ast-builder-grid-row>.site-header-section {
		align-items: flex-start;
	}
	.ast-theme-transparent-header .ast-builder-menu-2 .menu-item > .menu-link,
	.ast-builder-menu-2 .menu-item > .menu-link {
		font-size: 15px;
		
	}
	.ast-theme-transparent-header .ast-builder-menu-1 .menu-item > .menu-link,
	.ast-builder-menu-1 .menu-item > .menu-link {
		font-size: 13px;
	}
	.hp_solutions .what_about { font-size: 20px; }
	.wp-block-uagb-container.uagb-block-ede0d0e9 { padding-bottom: 60px; } 
	.hp_solutions .uagb-container-inner-blocks-wrap { padding-top: 40px; }
	.wp-block-uagb-container.uagb-block-ede0d0e9 {
		padding-top: 100px;
	}
	.ast-mobile-header-wrap .ast-primary-header-bar, .ast-primary-header-bar .site-primary-header-wrap { min-height: 70px; }

	.ast-primary-header-bar .ast-builder-menu .main-navigation > ul { column-gap: 15px; }
	.wp-block-uagb-container.uagb-block-d7ebb63f {
		padding-top: 60px; 
	}

	.bubble_title p {
		font-size: 16px;
	}
	.wp-block-uagb-container.uagb-block-650a3cbb {
		padding-top: 60px;
		padding-bottom: 50px;
	}
	.wp-block-uagb-container.uagb-block-aab0293c { 
		padding-top: 80px;
	}
	.wp-block-uagb-container.uagb-block-90d0da0d {
		padding-bottom: 50px; 
	}
	#map { height: 400px; }
	footer p,	
	footer .lit-menu a, footer .information-menu a, footer .menu-for-mobile {
		font-size: 16px;
	}
	footer h5 {
		font-size: 22px;
	}
	.site-primary-footer-wrap[data-section="section-primary-footer-builder"] {
		padding-top: 60px;
	}
	.footer-nav-wrap .astra-footer-horizontal-menu a { font-size: 14px; }
	
	.lmb-page-banner-description,
	.lmb-page-banner-above-title {
		font-size: 16px;
	}
	.ast-single-entry-banner[data-post-type="page"] .entry-title {
		font-size: 60px;
		width: 100%;
		max-width: 600px;
	}
	.ast-single-entry-banner[data-post-type="page"] {
		min-height: 730px;
	}
	.ast-site-header-cart.ast-menu-cart-outline .ast-addon-cart-wrap {
		justify-content: center;
		align-items: center;
	}
	
	
	
	.wp-block-uagb-container.uagb-block-6ca3d262 {
		margin-top: 20px !important;
		padding-top: 30px;
		padding-bottom: 30px;
	}
	.wp-block-uagb-container.uagb-block-5aa0096e {
		padding-top: 60px;
		margin-top: 0;
	}
	.wp-block-uagb-container.uagb-block-5aa0096e {
		padding-bottom: 30px;
	}
	.wp-block-uagb-container.uagb-block-4fa9f3aa {
		padding-top: 60px;
		padding-bottom: 40px;
	}
	.wp-block-uagb-container.uagb-is-root-container.faq {
		padding-bottom: 60px;
		padding-top: 60px;
	}
	.wp-block-uagb-container.uagb-block-53b6efbe {
		margin-top: 0 !important;
	}
	.woocommerce-mini-cart__buttons a.ast-continue-shopping {
		font-size: 16px;
		height: 50px;
		line-height: 46px;
	}
	.astra-cart-drawer .woocommerce-mini-cart__empty-message, .astra-cart-drawer .cart_item.empty {
		font-size: 16px;
	}
	.astra-cart-drawer-close::after {
		font-size: 16px;
	}
	.astra-cart-drawer .astra-cart-drawer-header .astra-cart-drawer-title {
		font-size: 18px; 
	}
	.wp-block-uagb-container.pazangios_santvaros { margin-top: 0 !important; padding-top: 30px !important; }


	.ast-single-entry-banner[data-post-type="page"] { padding-left: 0; padding-right: 0; }
	
	.woocommerce-js div.product .product_title {
		font-size: 46px;
		width: 100%;
		max-width: 800px;
		margin: 0 auto 30px;
		font-weight: 600;
	}

}

@media only screen and (max-width: 1180px) {  


	.ast-above-header-bar .ast-builder-grid-row { border-bottom: none; } 
	
	.ast-theme-transparent-header .ast-menu-cart-outline .ast-addon-cart-wrap {
		border-color: #1e1e1e !important;
	}
	.ast-icon-shopping-bag svg {
		color: #1e1e1e;
		height: 1em;
		width: 1em;
	}
	.ast-site-header-cart.ast-menu-cart-outline .ast-addon-cart-wrap {
		width: 50px;
		height: 50px;
		display: flex;
		align-content: center;
		justify-content: center;
	}
	.ast-mobile-header-wrap .ast-button-wrap .menu-toggle.main-header-menu-toggle {
		outline: none !important;
	}
	.hero {
		height: auto;
	}
	h1, .entry-content :where(h1),
	.ast-single-entry-banner[data-post-type="page"] .entry-title {
		font-size: 66px;
	}
	h2, .entry-content :where(h2) {
		font-size: 52px;
	}
	.hp_solutions .uagb-container-inner-blocks-wrap,
	.lit-home-services--split {
		gap: 60px;
	}
	.hp_solutions .uagb-container-inner-blocks-wrap {
		padding-top: 60px;
	}
	.wp-block-uagb-container.hp_wood_products {
		background-position: calc(50% + 420px) 150px;
	}
	.home_sustainable {
		height: auto;
		max-height: none;
		text-align: center;
	}
	.home_sustainable p {
		font-size: 18px;
		text-align: center;
	}
	.bubble_title {
		background-size: 900px;
		background: none;
	}
	.lit-home-why-us {
		display: flex;
		flex-wrap: wrap;
		gap: 5px;
	}
	.lit-home-why-us > * {
		flex: auto;
	}
	.lit-home-why-us .lit-why {
		max-height: 600px;
	}
	#map {
		width: 100%;
		height: 500px;
	}
	.ast-builder-grid-row-2-rheavy .ast-builder-grid-row {
		grid-template-columns: 1fr 2fr !important;
	}
	.footer_icons img {
		width: 55px;
		height: auto !important;
	}
	.lit-wood {
		width: 195px;
		flex: 0 0 195px;
	}
	.footer-widget-area[data-section="section-footer-menu"] .astra-footer-tablet-vertical-menu { display: flex; }
	.litimbera-footer-contacts-grid .lfc-col:not(:first-child)::before { display: none; }
	.litimbera-footer-contacts-grid .lfc-col { padding: 0; }
	.litimbera-footer-contacts-grid { grid-template-columns: repeat(2, 1fr); row-gap: 30px; }
	.footer_icons { display: none !important; }
	.footer_information .wp-block-uagb-container { max-width: none !important; }
	  .lit-home-why-us{
    display: flex;
    flex-wrap: nowrap;
    gap: 12px;

    overflow-x: auto;
    overflow-y: hidden;
    -webkit-overflow-scrolling: touch;

    scroll-snap-type: x mandatory;
    scroll-padding-left: 16px;
    scroll-padding-right: 16px;

    padding: 0 16px;
    box-sizing: border-box;

    scrollbar-width: none;
    -ms-overflow-style: none;

    /* Labai svarbu touch stabilumui */
    touch-action: pan-x pan-y;
    overscroll-behavior-x: contain;

    cursor: grab;
  }
  .lit-home-why-us::-webkit-scrollbar{ display:none; }

  .lit-home-why-us.is-dragging{ cursor: grabbing; }

  .lit-home-why-us .lit-why{
    flex: 0 0 280px;         /* tavo kortelės plotis */
    scroll-snap-align: start;
    scroll-snap-stop: always;

    user-select: none;
    -webkit-user-select: none;
  }

  .lit-home-why-us .lit-why__media{
    width: 100%;
    aspect-ratio: 2 / 4;
  }
  .lit-home-why-us .lit-why__media img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    pointer-events: none;
    -webkit-user-drag: none;
  }

  .lit-home-why-us .lit-why__title{
    padding: 0 18px 18px 18px;
    font-size: 22px;
    max-width: 240px;
  }

  .lit-home-why-us{
    margin-left: calc(-50vw + 50%);
    margin-right: calc(-50vw + 50%);
    max-width: 100vw;
    width: 100vw !important;
  }
  
  
  .ast-builder-menu-mobile .main-navigation .main-header-menu, .ast-builder-menu-mobile .main-navigation .main-header-menu .menu-link, .ast-builder-menu-mobile .main-navigation .main-header-menu .sub-menu {
	background: #fff;
	box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  }
  .ast-header-break-point .main-navigation ul .menu-item .menu-link {
	   color: #1E1E1E;
	   box-shadow: none;
  }
  .ast-builder-menu-mobile .main-navigation .main-header-menu .menu-item:hover > .menu-link,
	.ast-builder-menu-mobile .main-navigation .menu-item.current-menu-item > .menu-link{
	  background: #e5e7eb;
	  color: #1E1E1E;
  }
  .page-intro .uagb-container-inner-blocks-wrap { background: none; padding-top: 80px; }
  .ast-single-entry-banner[data-post-type="page"] { min-height: auto; padding: 120px 20px !important; }
  .image_outter_right_20 img, .image_outter_santvaros img { margin-top: 60px; }
  
	.home_technologies .wp-block-uagb-container,
	.home_technologies .wp-block-uagb-image__figure,
	.home_technologies .wp-block-uagb-image,
	.home_technologies .wp-block-uagb-image img {
	  height: 100% !important;
	  object-fit: cover !important;
	}
	.question_cta .contact-form {
		padding: 150px 30px 50px;
	}
	.contacts_section .form {
		padding: 150px 40px 40px !important;
	}
	.lit-card__info { padding: 20px 40px 0 10px;}
	.employees h2 { margin-bottom: 50px; width: 100% !important; }
	.lit-card {
		border: solid 7px #fff;
	}
	.lit-card__photo{
		height:320px;
	}
	.lit-card__info{
		height:220px;
	}
	
	.woocommerce-checkout.woocommerce-order-received .woocommerce-order ul.woocommerce-order-overview li {
		border-color: #eee;
	}
	.woocommerce-checkout.woocommerce-order-received .woocommerce-order ul.woocommerce-order-overview li:last-of-type {
		border-bottom: none;
	}
	.ast-builder-menu-mobile .main-navigation .main-header-menu .menu-item > .menu-link {
		color: #1e1e1e;
		border-bottom: solid 1px #eee;
	}
	.woocommerce ul.products:has(li.product:not(.product-category)), .woocommerce-page ul.products:has(li.product:not(.product-category)) {
		grid-template-columns: repeat(3, minmax(0, 1fr));
	}
	.woocommerce-js div.product .product_title {
		font-size: 48px;
		font-weight: 600;
	}
	.ast-plain-container.ast-no-sidebar.product-template-default #primary { margin-top: 50px; }
	
	
	.woocommerce-cart .entry-content,
	.woocommerce-checkout .entry-content {
		padding-top: 60px;
	}
		.woocommerce-js table.shop_table .product-thumbnail img, .woocommerce-page table.shop_table .product-thumbnail img {
		max-height: 100px;
		max-width: 100px;
		border-radius: 50%;
	}
	.woocommerce-js #content table.cart td, .woocommerce-page #content table.cart td {
		text-align: center;
	}
	.woocommerce-cart table.shop_table td.product-name { max-width: none; }
	.woocommerce table.shop_table_responsive tr td::before, .woocommerce-page table.shop_table_responsive tr td::before {
		font-size: 16px;
	}
	.woocommerce-cart-form .ast-product-name a,
	.woocommerce-cart table.shop_table .woocommerce-Price-amount	{
		font-size: 16px;
	}
	.woocommerce table.shop_table_responsive tr td.product-remove, .woocommerce-page table.shop_table_responsive tr td.product-remove {
		text-align: center !important; 
	}
	
}

@media only screen and (max-width: 900px) { 

	.litimbera-footer-contacts-grid .lfc-col:not(:first-child)::before { display: none; }
	.threecol_divider > .wp-block-uagb-container { padding: 0 30px; }

}


@media only screen and (min-width: 830px) {

	.footer_icons .menu-for-mobile { display: none; }
	
}

@media only screen and (max-width: 830px) { 


	.footer_icons { display: block !important; }
	.ast-builder-grid-row-2-rheavy .ast-builder-grid-row {
		display: block;
		text-align: center;
	}
	footer ul.menu-for-mobile li { text-align: center; padding-bottom: 10px !important; }
	footer p, footer h5, footer .lit-menu li { text-align: center; }
	.footer_logo { display: none; }
	footer h5 { margin-top: 0; }
	footer .lit-menu li { padding-bottom: 10px; }
	.site-footer-primary-section-2 h5 { margin-bottom: 20px; }
	footer .widget ul { margin-bottom: 40px; }
	footer ul.information-menu { display: block; }
	footer ul.information-menu li { text-align: center; padding-bottom: 10px; }
	.litimbera-footer-contacts-grid { margin-top: 10px; grid-template-columns: 1fr; row-gap: 40px; }
	
	.hero h1, .hero p { text-align: center; } 
	.hero_right { display: none; }
	.hp_solutions .uagb-container-inner-blocks-wrap { background: none; text-align: center; }
	.hp_solutions h2::after, .hp_wood_products h2::after, .hp_experts h2::after, .home_sustainable h2::after, .home_technologies h2::after {
		position: absolute;
		bottom: 10px;
	}
	.hp_solutions img {
		width: 100%;
		max-width: 400px;
	}
	.hp_solutions .what_about { margin: 40px auto 0; }
	.lit-service__icon { margin: 0 auto 25px; }
	.lit-home-services--split h3 { margin: 0 auto 20px; }
	.lit-home-services--split a { font-size: 18px; }
	.lit-home-services__right-text { display: none; }
	.hp_wood_products h2 { 
		width: 100%;
		max-width: 400px;
		margin: 0 auto;
		text-align: center;
	}
	.hp_wood_products p { text-align: center; }
	.hp_wood_products .special_tip {
		margin: 40px auto 0; 
	}
	.wp-block-uagb-container.hp_wood_products {
		background-position: right -500px bottom -200px;
		background-size: 900px !important;
	}
	.lit-wood { width: auto; text-align: center; --line-height: 40px; }
	.lit-home-wood-products { display: grid;  grid-template-columns: 1fr 1fr; align-items: center; justify-content: center; row-gap: 50px; }
	.lit-wood__icon { margin: 0 auto; }
	.lit-wood__title {
		width: 100%;
		max-width: 200px;
		margin: 0 auto 20px;
	}
	.lit-wood__body { margin-left: 0; }
	.hp_experts img { display: none; }
	.hp_experts h2 {
		margin-left: 0;
		width: 100% !important;
		text-align: center;
	}
	.hp_experts p { text-align: center; }
	.home_technologies h2, .home_technologies { text-align: center; }
	.home_technologies h2 { margin: 60px auto 30px; }
	.question_cta .contact-form {
		padding: 100px 50px 50px;
	}
	.question_cta .contact-form h2 { text-align: center; }
	.cta_contacts p { text-align: center; }
	
	.question_cta .contact-form {
		background-size: 38px;
		background-position: top 30px center;
	}
	.question_cta .contact-form h2 {
		margin-bottom: 30px;
		margin-top: 20px;
	}
	  	.image_outter,
	.home_technologies .image_outter,
	.wp-block-uagb-container .image_outter {
		width: auto !important;
		margin-left: 0 !important;
	}
	.image_outter_right,
	.image_outter_right_20,
	.wp-block-uagb-container .image_outter_right {
		width: auto !important;
		margin-right: 0 !important;
	}
	
	.home_technologies .wp-block-uagb-container,
	.home_technologies .wp-block-uagb-image__figure,
	.home_technologies .wp-block-uagb-image,
	.home_technologies .wp-block-uagb-image img {
	  height: auto !important;
	  object-fit: cover !important;
	}
	.ast-single-entry-banner[data-post-type="page"][data-banner-background-type="featured"] {
		text-align: center;
	}
	.ast-single-entry-banner[data-post-type="page"] .entry-title::after { display: none; }
	.ast-single-post .entry-content .wp-block-button .wp-block-button__link, .lmb-page-banner-btn {
		margin: 0 auto;
	}
	.lmb-page-banner-above-title { margin: 0 auto 30px !important; }
	.lmb-page-banner-description { margin: 40px auto !important; }
	.ast-single-entry-banner[data-post-type="page"] .entry-title { margin: 0 auto !important; }
	h2, .entry-content :where(h2) {
		text-align: center;
	}
	.page-intro p,
	.page-intro .short_desc, .page-intro .short_desc p,
	.wp-block-uagb-container p { text-align: center; }
	.page-intro .short_desc strong { margin: 0 auto; }
	.image_outter_right_20 img { width: 100%; max-width: 500px; }
	h2, .entry-content :where(h2) { font-size: 46px; }
	h3, .entry-content :where(h3) { font-size: 32px; text-align: center; }
	.lit-wood__title { font-size: 20px; }
	
	.lit-home-services__right-text, .special_tip { display: none; }
	.sf-faq-content p { text-align: left; }
	h4.sf-faq-title {
		padding: 20px 90px 20px 20px !important;
		height: auto !important;
	}
	.sf-faq-content {
		padding: 0 20px 20px;
	}
	.faq .uagb-container-inner-blocks-wrap { background: none; }
	.threecol_divider::before, .threecol_divider::after { display: none; }
	.threecol_divider > .wp-block-uagb-container { padding: 0; padding-top: 40px; }
	.threecol_divider h4 { text-align: center; }
	.mitek_technologies h4 { margin: 0 auto 30px; text-align: center; }
	.outside_wood .last .wp-block-uagb-container:first-of-type {
		order: 2;
	}
	.outside_wood .last .wp-block-uagb-container:last-of-type {
		order: 1;
	}
	.contact_information h5 { text-align: center; margin: 0 auto 30px; }
	.contacts_section .form { margin-top: 0; background-position: top 30px center !important; }
	
	
	.site-content .entry-content ul {
		list-style: none !important;
		padding: 0 !important;
	}
	.site-content .entry-content ul li { text-align: center; }
	.full_height,
	.full_height .wp-block-uagb-image,
	.full_height .wp-block-uagb-image .wp-block-uagb-image__figure {
		height: auto !important;
	}
	.full_height img {
		height: auto !important;
		object-fit: contain !important;
	}
	.lit-home-why-us .lit-why__title {
		max-width: none;
		font-size: 24px;
		padding-bottom: 40px;
	}
	h4, .entry-content :where(h4) { text-align: center; }
	h4.sf-faq-title { text-align: left; }
	  .lit-project__gallery{
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
  .lit-project__gallery img{
    height: 160px;
  }
  .woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-thankyou-order-received {
	  font-size: 38px;
  }
  .woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-thankyou-order-received::before {
	  width: 48px;
	  height: 48px;
  }
  .woocommerce-page.woocommerce-checkout .woocommerce-order ul.order_details.wc-bacs-bank-details {
	  display: grid;
  }
  .woocommerce-page.woocommerce-checkout .woocommerce-order ul.order_details.wc-bacs-bank-details li { border: none; line-height: 1; margin-bottom: 20px; }

	.lit-project__more{
	margin-top: 12px;
	border: 0;
	background: #FFBA00;
	color: #1E1E1E;
	height: 60px;
	padding: 0 30px;
	border-radius: 0;
	border: none;
	font-size: 18px;
	font-weight: 600;
	min-width: 150px;
	transition: .5s;
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 30px auto 0;
	font-size: 17px;
	}
	.lit-project:first-of-type {
		margin-top: 0;
		border-top: 0;
		padding-top: 0;
	}
	.woocommerce ul.products:has(li.product:not(.product-category)), .woocommerce-page ul.products:has(li.product:not(.product-category)) {
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}
}


@media only screen and (max-width: 767px) {  

	.hp_solutions p { margin-bottom: 40px; }

}

@media only screen and (max-width: 580px) { 

	
	.hero h1::after, .hp_solutions h2::after, .hp_wood_products h2::after, .hp_experts h2::after, .home_sustainable h2::after, .home_technologies h2::after { display: none; }
	.wp-block-uagb-container.hp_wood_products { background-image: none; }
	.home_sustainable .uagb-container-inner-blocks-wrap { padding: 60px 20px; }
	.question_cta .contact-form {
		padding: 100px 30px 40px;
	}
	.lmb-slide img,
	.lmb-slider-viewport {
		height: auto !important;
	}
	.contacts_section .form {
		padding: 150px 25px 25px !important;
	}
	.ast-single-entry-banner[data-post-type="page"] {
		padding: 90px 20px 70px !important;
	}
	.sf-faq-content {
		font-size: 16px;
		line-height: 1.5;
	}
	h1, .entry-content :where(h1), .ast-single-entry-banner[data-post-type="page"] .entry-title {
		font-size: 56px;
	}
	h2, .entry-content :where(h2) { 
		font-size: 42px;
	}
	.ast-container .woocommerce ul.products:not(.elementor-grid), .woocommerce-page ul.products:not(.elementor-grid), .woocommerce.mobile-columns-2 ul.products:not(.elementor-grid), .woocommerce-page.mobile-columns-2 ul.products:not(.elementor-grid) {
		grid-template-columns: 1fr;
	}
	.woocommerce-js ul.products li.product.product-category a img, .woocommerce-page ul.products li.product.product-category a img {
		height: 400px;
	}
	
	.woocommerce ul.products:has(li.product:not(.product-category)), .woocommerce-page ul.products:has(li.product:not(.product-category)) {
		grid-template-columns: 1fr;
	}
	.woocommerce-js div.product .product_title {
		font-size: 40px;
		line-height: 1.2;
	}
	.entry-content .woocommerce-message { justify-content: center; }
}


@media only screen and (max-width: 500px) {  

	.lit-card { border: none; }
	.lit-card__info { height: auto !important; padding-bottom: 50px !important; }
	
	.lit-card {
		border: none;
		width: 100% !important;
		max-width: 300px;
		margin: 0 auto;
	}
	.uagb-buttons__outer-wrap .uagb-buttons__wrap {
		display: block;
	}
	.uagb-buttons__outer-wrap .uagb-buttons__wrap .wp-block-uagb-buttons-child {
		margin: 8px 0;
	}
	.error-404.not-found h1  { font-size: 120px; }
	.error-404.not-found h2 { font-size: 42px; }
	.lit-project__excerpt { font-size: 15px; }
		h4.sf-faq-title { font-size: 17px !important; }
	.astra-cart-drawer .astra-cart-drawer-header .astra-cart-drawer-title,
	.astra-cart-drawer-close::after { font-size: 18px; }

}


@media only screen and (max-width: 370px) { 

	body { font-size: 16px; }
	h1, .entry-content :where(h1),
	.ast-single-entry-banner[data-post-type="page"] .entry-title {
		font-size: 52px;
	}
	.lit-home-wood-products {
		display: block;
	}
	.lit-home-wood-products .lit-wood {
		margin-bottom: 60px;
	}
	.lit-home-wood-products .lit-wood:last-of-type {
		margin-bottom: 0;
	}
	h2, .entry-content :where(h2) {
		font-size: 42px;
	}
	.two_buttons .uagb-buttons-layout-wrap {
		display: block;
	}
	.two_buttons .uagb-buttons-layout-wrap .wp-block-uagb-buttons-child {
		margin-bottom: 10px;
	}
	.wp-block-uagb-container.hp_experts {
		padding-top: 70px !important;
		padding-bottom: 40px !important;
	}
	.question_cta .contact-form {
		padding: 100px 30px 50px;
	}
	.hp_solutions .uagb-container-inner-blocks-wrap { padding-top: 20px; }


	.hp_solutions img {
		width: 100% !important;
		max-width: none !important;
	}
	.lit-project__gallery {
		grid-template-columns: repeat(1, minmax(0, 1fr));
	}
	.sub_service_white {
		padding: 40px 20px !important;
	}
}